Skills
Retrieve a skill
Retrieves the specified skill and its current configuration.
Path parameters
name
string
required
The unique name of the skill.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
id
string
required
The unique identifier of the skill.
name
string
required
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
required
A human-readable description of the skill.
default_version
string
required
The default version for the skill. Can be changed via updateSkill.
latest_version
string
required
The latest version for the skill.
Request
GET /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json